/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
const require_runtime = require('../_virtual/_rolldown/runtime.cjs');
const require_styles_variants = require('../styles/variants.cjs');
const require_components_index = require('../components/index.cjs');
const require_cli = require('./dist/cli.cjs');
const require_css = require('../tailwind/dist/commands/css.cjs');
const require_generateComponentData = require('../tailwind/dist/commands/generateComponentData.cjs');
const require_generatePurgeCSSData = require('../tailwind/dist/commands/generatePurgeCSSData.cjs');
const require_purge = require('../tailwind/dist/commands/purge.cjs');
const require_package = require('../uds/package.cjs');
const require_components_experimental_index = require('../components/experimental/index.cjs');
const require_cli_commands_sync = require('./commands/sync.cjs');
const require_cli_commands_version = require('./commands/version.cjs');
let node_path = require("node:path");
let ts_morph = require("ts-morph");

//#region src/cli/runner.ts
require_cli.run([
	require_cli_commands_version.versionCommand,
	require_purge.makePurgeCommand(async () => {
		const componentData = await Promise.resolve().then(() => require("../uds/generated/componentData.cjs"));
		return {
			variants: require_styles_variants.variants,
			packageJson: require_package.default,
			generatedPurgeCssData: await Promise.resolve().then(() => require("../uds/generated/tailwindPurge.cjs")),
			autoVariants: (await Promise.resolve().then(() => require("../automated-config/dist/generated/autoVariants.cjs"))).autoVariants,
			componentData
		};
	}),
	require_generatePurgeCSSData.makeGeneratePurgeCSSDataCommand(async () => {
		return {
			project: new ts_morph.Project({ tsConfigFilePath: (0, node_path.join)(process.cwd(), `./tsconfig.json`) }),
			variants: require_styles_variants.variants,
			UDS: require_components_index.components_exports,
			UDS_EXPERIMENTAL: require_components_experimental_index.experimental_exports
		};
	}),
	require_generateComponentData.makeGenerateComponentDataCommand(async () => {
		return {
			project: new ts_morph.Project({
				tsConfigFilePath: (0, node_path.join)(process.cwd(), `./tsconfig.json`),
				skipFileDependencyResolution: true
			}),
			componentsDir: (0, node_path.join)(process.cwd(), "src/components"),
			outputFile: (0, node_path.join)(process.cwd(), "generated/componentData.json")
		};
	}),
	require_css.makeCSSCommand(async () => {
		const componentData = await Promise.resolve().then(() => require("../uds/generated/componentData.cjs"));
		return {
			variants: require_styles_variants.variants,
			autoVariants: (await Promise.resolve().then(() => require("../automated-config/dist/generated/autoVariants.cjs"))).autoVariants,
			componentData
		};
	}),
	require_cli_commands_sync.syncCommand
]);

//#endregion